.custom-hero-container { height: 30vw; background-color: #161a3c; }
.custom-hero-container .item-1-wrap { top: -60px; left: -3vw; width: 30vw; height: 30vw; opacity: 0.4;}
.custom-hero-container .item-2-wrap { top: -80px; right: -40px; width: 36vw; height: 36vw; opacity: 0.9;}
.custom-hero-container .item-3-wrap { top: 80px; left: 26vw; width: 24vw; height: 24vw;opacity: 0.6; }
.custom-hero-container .item-1-wrap .shape-demo { background-color: #e76f513e;  }
.custom-hero-container .item-2-wrap .shape-demo { background-color: #2a9d903e;  }
.custom-hero-container .item-3-wrap .shape-demo { background-color: #e9c56a3e;  }
/* ---------------------------------------------------
中型螢幕 (1200px ~ 1400px)
--------------------------------------------------- */
@media (max-width:1400px) {
.custom-hero-container { height: 30vw; }
.custom-hero-container .item-1-wrap { top: -60px; left: -3vw; width: 30vw; height: 30vw; }
.custom-hero-container .item-2-wrap { top: -80px; right: -40px; width: 36vw; height: 36vw; }
.custom-hero-container .item-3-wrap { top: 80px; left: 26vw; width: 24vw; height: 24vw; }
}
/* ---------------------------------------------------
小型螢幕 / 筆電 (768px ~ 1200px)
--------------------------------------------------- */
@media (max-width:1200px) {
.custom-hero-container { height: 40vw; }
.custom-hero-container .item-1-wrap { top: -10px; left: -3vw; width: 30vw; height: 30vw; filter: blur(2px); }
.custom-hero-container .item-2-wrap { top: -30px; right: -40px; width: 36vw; height: 36vw; filter: blur(1px); }
.custom-hero-container .item-3-wrap { top: 100px; left: 16vw; width: 30vw; height: 30vw; filter: blur(1px); }
.custom-hero-container .item-1-wrap .shape-demo { background-color: #e76f513e;  }
.custom-hero-container .item-2-wrap .shape-demo { background-color: #2a9d903e;  }
.custom-hero-container .item-3-wrap .shape-demo { background-color: #e9c56a3e;  }
}
/* ---------------------------------------------------
手機模式 (768px 以下)
--------------------------------------------------- */
@media (max-width:768px) {
.custom-hero-container { height: 46vw; }
.custom-hero-container .item-3-wrap { display: none !important; }
.custom-hero-container .item-1-wrap { top: -30px; left: -50px; width: 40vw; height: 40vw; }
.custom-hero-container .item-2-wrap { top: -30px; right: -60px; width: 50vw; height: 50vw; }
}
/* ---------------------------------------------------
極小手機模式 (480px 以下)
--------------------------------------------------- */
@media (max-width:520px) {
.custom-hero-container { height: 46vw; }
.custom-hero-container .item-3-wrap { display: none !important; }
.custom-hero-container .item-1-wrap { top: 10px; left: -20px; width: 40vw; height: 40vw; opacity: 0.4; }
.custom-hero-container .item-2-wrap { top: -30px; right: -60px; width: 50vw; height: 50vw; opacity: 0.4; }
}
